Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

c

scala.tools.scalap.scalax.rules.scalasig

# ScalaSigPrinter 

###

#### class ScalaSigPrinter extends AnyRef

Source
  ScalaSigPrinter.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaSigPrinter
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ScalaSigPrinter(stream: PrintStream, printPrivates: Boolean)

### Type Members

1.  case class TypeFlags (printRep: Boolean) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScalaSigPrinter to any2stringadd[ScalaSigPrinter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScalaSigPrinter, B)
   Implicit
     This member is added by an implicit conversion from ScalaSigPrinter to ArrowAssoc[ScalaSigPrinter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val CONSTRUCTOR_NAME: String
7.  val _syms: Map[String, String]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (ScalaSigPrinter) ⇒ Boolean, msg: ⇒ Any): ScalaSigPrinter
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to Ensuring[ScalaSigPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (ScalaSigPrinter) ⇒ Boolean): ScalaSigPrinter
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to Ensuring[ScalaSigPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): ScalaSigPrinter
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to Ensuring[ScalaSigPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): ScalaSigPrinter
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to Ensuring[ScalaSigPrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to StringFormat[ScalaSigPrinter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def getPrinterByConstructor(c: ClassSymbol): String
20.  def getVariance(t: TypeSymbol): String
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  def isCaseClassObject(o: ObjectSymbol): Boolean
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
27.  val pattern: Pattern
28.  val placeholderPattern: String
29.  def printAlias(level: Int, a: AliasSymbol): Unit
30.  def printClass(level: Int, c: ClassSymbol): Unit
31.  def printMethod(level: Int, m: MethodSymbol, indent: () ⇒ Unit): Unit
32.  def printMethodType(t: Type, printResult: Boolean)(cont: ⇒ Unit): Unit
33.  def printModifiers(symbol: Symbol): Unit
34.  def printObject(level: Int, o: ObjectSymbol): Unit
35.  def printPackageObject(level: Int, o: ObjectSymbol): Unit
36.  def printSymbol(level: Int, symbol: Symbol): Unit
37.  def printSymbol(symbol: Symbol): Unit
38.  def printSymbolAttributes(s: Symbol, onNewLine: Boolean, indent: ⇒ Unit): Unit
39.  def printType(t: Type, sep: String)(implicit flags: TypeFlags): Unit
40.  def printType(t: Type)(implicit flags: TypeFlags): Unit
41.  def printType(sym: SymbolInfoSymbol)(implicit flags: TypeFlags): Unit
42.  def printTypeSymbol(level: Int, t: TypeSymbol): Unit
43.  def printWithIndent(level: Int, s: String): Unit
44.  def processName(name: String): String
45.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
46.  def toString(symbol: Symbol): String
47.  def toString(t: Type, sep: String)(implicit flags: TypeFlags): String
48.  def toString(t: Type)(implicit flags: TypeFlags): String
49.  def toString(attrib: AttributeInfo): String
50.  def toString(): String
    Definition Classes
      AnyRef → Any
51.  def typeArgString(typeArgs: Seq[Type]): String
52.  def typeParamString(params: Seq[Symbol]): String
53.  def valueToString(value: Any): String
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  def →[B](y: B): (ScalaSigPrinter, B)
    Implicit
      This member is added by an implicit conversion from ScalaSigPrinter to ArrowAssoc[ScalaSigPrinter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
58.  implicit object _tf extends TypeFlags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaSigPrinter to any2stringadd[ScalaSigPrinter]

### Inherited by implicit conversion StringFormat from ScalaSigPrinter to StringFormat[ScalaSigPrinter]

### Inherited by implicit conversion Ensuring from ScalaSigPrinter to Ensuring[ScalaSigPrinter]

### Inherited by implicit conversion ArrowAssoc from ScalaSigPrinter to ArrowAssoc[ScalaSigPrinter]

### Ungrouped